export default {
  basic: {                       // 基本接口
    csrf: '/sec/xsrf',               // CSRF检查
    socket: '/ws',
    userLogin: '/sec/login',         // 登录
    userLogout: '/sec/logout',       // 退出
    captcha: '/sec/captcha',         // 验证码
    principal: '/sec/principal',     // 登录用户上下文
    changePW: '/api/ui/password/update',  // 修改自己密码
    pwStrength: '/api/ui/password/strength',  // 重置密码
    resetPW: '/edp/sec/users/{id}/r',  // 重置密码
    changeInfo: '/api/ui/employee',  // 修改个人信息
    register: '/register/supplier',
    queryUDC: '/register/{udc}/items',   // 查询某项UDC
  },
  app: {                          // app全局接口
    menu: '/api/ui/menus',     // '/api/ui/menus'
    items: '/api/items',           // GET
  },
  mdata: {
    ou: '/edp/mds/ous',                         // 公司
    emp: '/edp/mds/emps',                       // 员工
    changeEmpOrg: '/edp/mds/emps/{empId}/org/{orgId}', // 修改员工组织
    org: '/edp/sec/orgs',                       // 组织机构
  },
  item: {
    items: '/api/item/items',                    // 物料
    trial: '/api/item/trials',
  },
  price: {
    prices: '/api/price/prices',                    // 价格
    history: '/api/price/history',
    refer: '/api/referprices/referprices',         // 外部参考价格
    webs: '/api/price/webs',
    adjust:'/api/price/adjusts',                    //价格调整
  },
  common: {
    udc: {
      query: '/edp/udcs/{udc}/items',             // 查询某项UDC
    },
    tree: {
      orgs: '/edp/sec/ous/{id}/orgs',
      emps: '/edp/mds/emps',
      cccCode: '/api/ui/suggest/cccCode', // 物料大类/中类/小类 树形控件
      regCccCode: '/register/cccCode',    // 注册时 选择关联物料
    },
    suggest: {
      operIamRoles: '/edp/iam/oper/iam_roles',  // (仅用于运营方用户)系统角色
      operBpmRoles: '/edp/iam/oper/bpm_roles',  // (仅用于运营方用户)流程角色
      authRoles: '/edp/auth-roles/simple',
      bpmRoles: '/edp/bpm-roles/simple',
      users: '/edp/tms/users',
      tasks: '/edp/bpm/tasks',
      reminders: '/edp/bpm/reminders',
      ous: '/edp/ous/simple',
      supps: '/api/ui/suggest/supps', // 供应商
      fieldBpmRoles: '/edp/bpm-roles/field',
      emps: '/edp/mds/emps/simple',
      purchases: '/api/ui/suggest/purchase',
      empsByFilter: '/edp/mds/emps/filter',
      empsByDataPower: '/edp/mds/emps/filter/dataPower',
      defKeys: '/edp/bpm/ops/defs',
      taskDefs: '/edp/bpm/task-defs/simple',
      city: '/api/ui/suggest/udc/city',
      reCity: '/register/udc/city',
      bank: '/api/ui/suggest/udc/bank',
      reBank: '/register/udc/bank',
      ocStatus: '/api/cooperate/quality/udc/item/co-doc-status',
      addr: '/api/ui/suggest/udc/item/cont-addr-type',
      reAddr: '/register/udc/item/cont-addr-type',
      regions: '/api/ui/suggest/regions',
      itemRgns: '/api/ui/suggest/item/regions', // 供货区域(对应某个物料)
      suppOu: '/api/ui/suggest/supp-ou', // 供应商对应公司
      reRegions: '/register/regions',
      pbwh: '/api/ui/suggest/pb-wh',
      currs: '/api/ui/suggest/currs',
      reCurrs: '/register/currs',
      tax: '/api/ui/suggest/tax',
      taxCode: '/api/ui/suggest/taxCode',
      invTax: '/api/ui/suggest/inv/tax',
      retax: '/register/tax',
      suppArea: '/api/ui/suggest/ou-type', // 供应区域
      contractTmpl: '/api/contract-mgmt/contracts/suggest/contractTmpl',
      // supps: '/api/ui/suggest/supps', // 供应商i
      c3: '/api/ui/suggest/c3', // 物料品类
      items: '/api/ui/suggest/items', // 物料
      trialOrg: '/api/ui/suggest/trialOrg', // 批测部门
      // suppItems: '/api/ui/suggest/suppItems', // 供应商所提供的物料(根据物料信息)
      itemSupps: '/api/ui/suggest/item/supps', // 供应商所提供的物料(根据物料价格)
      udcItem: '/api/ui/suggest/udc/item', // udc item
      brand: '/api/ui/suggest/udc/brand', // udc brand
      msgRemind: '/api/ui/suggest/msg-rmd', // udc 消息类型(非流程)
      msgProcess: '/api/ui/suggest/msg-pro', // udc 消息类型(流程)
      username: '/api/ui/suggest/user-name', // 用户名称 模糊搜索
      outShans: '/api/ui/suggest/out-shans',//收货门店
    },
    magnifier: {
      regItems: '/register/relationItems', // 注册时 关联物料
      items: '/api/ui/suggest/items', // 普通物料
      suppItems: '/api/ui/suggest/supp/items', // 根据供应商等过滤物料
    },
    bidGroup: {
      items: '/api/source-mgmt/bid-mgmt/bidGroup', //评标小组
    },
    trans: {
      firstLetter: '/api/ui/suggest/first-letter', // 获取拼音首字母
    },
    contractCommon: {
      templateCommon: '/api/common/contract-tmpls', // 合同模板
    }
  },
  sfs: {
    // token: '/dev/sfs-client/sfs/token',
    repoInfo: '/edp/sfs/repo',                                // 上传文件名展示
    list: '/edp/sfs/items',                                   // 上传文件名展示
    upload: '/edp/sfs/upload',                                // 文件上传（单个/多个）
    download: '/edp/sfs/item',  // 下载/预览文件
    delete: '/edp/sfs/item/x',                                // 删除文件
  },
  sys: {
    users: '/edp/sec/users',                                // 用户管理
    authRoles: '/edp/sec/roles',                            // 授权角色管理
    perms: '/edp/sec/perms',                                // 角色权限集合
    instances: '/edp/bpm/instances',                        // 流程实例
    definitions: '/edp/bpm/definitions',                    // 流程部署
    taskRoles: '/edp/bpm/definitions/task-roles',           // 任务角色集合
    notifies: '/edp/bpm/definitions/notifies',              // 任务知会集合
    deploy: '/edp/bpm/definitions/deploy',                  // 流程图部署
    repo: '/edp/bpm/definitions/repo',                      // 获取仓库名称
    bpmRoles: '/edp/bpm/roles',                             // 流程角色管理
    udcs: '/edp/mgmt/udcs',                                 // UDC维护
    udcItems: '/edp/mgmt/udcs/{id}/items',                  // UDC明细
    udcsClear: '/edp/mgmt/udcs/evict',                      // 清空UDC缓存
    reminders: '/api/sys/reminders',                        // 预警等级设置
    fgnAuthRoles: '/edp/sec/auth-roles/foreign',            // 流程角色关联的授权角色
    logs: '/edp/tms/trace',                                 // 操作日志
    powers: '/edp/sec/data-powers',                          // 用户权限

    iam: {
      assignable: '/edp/iam/emps/assignable',
      findUsers: '/edp/iam/users',                            // 用户查询
      userOf: '/edp/iam/users/{id}',                          // 用户明细
      rolesChanged: '/edp/iam/roles/changed',                 // (仅用于运营方用户)系统角色或流程角色改变是调用，用来校准两者的依赖关系
      user: '/edp/iam/users',                           // (仅用于运营方用户)新建用户
      // updateUser: '/edp/iam/users/{id}',                      // (仅用于运营方用户)修改用户
      // enableUser: '/edp/iam/users/{id}/o',                    // (仅用于运营方用户)启用账户
      // disableUser: '/edp/iam/users/{id}/x',                   // (仅用于运营方用户)禁用账户
      updatePassword: '/edp/iam/users',                 // (仅用于运营方用户)更新密码
    },
  },
  bpm: {
    examine: '/edp/bpm/flow/examine',                       // 流程审批接口
    trace: '/edp/bpm/flow/instances/{prcId}/trace',         // 流程日志
    diagram: '/edp/bpm/flow/definitions/xml',               // 流程图
    checkActived: '/edp/bpm/flow/instances/{prcId}/assignee/actived', // 当前用户是否活动任务的处理人？
    assignees: '/api/flow/instances/{prcId}/assignees',
    bpmInfo: '/edp/bpm/form/config/status',                 // params={defId} 流程用户节点表单视图配置状况获取
    formCfg: '/edp/bpm/form/config',                        // 获取表单配置
    commit: '/edp/bpm/model/commit',                        // 发布流程模型
    tasks: '/api/dashboard/todosummary',                    // 首页待办
    notify: '/edp/bpm/flow/tasks/{id}/notify',       // 知会
    notifies: '/edp/bpm/flow/definitions/acts/{actId}/notifies',     //定义时知会列表
    procDefs: '/edp/bpm/ops/defs',
    faultsOf: '/edp/bpm/ops/faults',
    closeFault: '/edp/bpm/ops/faults/{id}',
  },
  quality: {
    co: '/api/cooperate/quality/co',
    ed: '/api/8d/reports',
  },
  rfq: {
    inquiry: '/api/source-mgmt/qo/iqo',            // 询价单
    quote: '/api/source-mgmt/qo/qo',               // 报价单（分页）
    quoteList: '/api/source-mgmt/qo/qo-list',      // 报价单（不带分页）
    compare: '/api/source-mgmt/qo/compare',      // 比价单
  },
  bid: {
    tender: '/api/source-mgmt/bid-mgmt/tenders', // 招标单
    bids: '/api/source-mgmt/bid-mgmt/bids',      // 投标单
    exams: '/api/source-mgmt/bid-mgmt/exam',     // 评标比标
    group: '/api/source-mgmt/bid-mgmt/bidGroup',     // 评标小组
    groupDetail: '/api/source-mgmt/bid-mgmt/bidGroup', //评标小组详情
  },
  order: {
    purchasingOrder: '/api/po/pos',        // 采购单查询
    purchaeOrderDtls: '/api/po_d/po_ds',        // 采购单明细查询
    batchExamine: '/api/po/batch/examines',   // 批量审批
    stockInOrder: '/api/recp/recps',          // 入库单查询
    returnOrder: '/api/cooperate/order/ro',            // 退货单查询
    prepayOrder: '/api/cooperate/order/ppo',           // 预付款单查询
    payOrder: '/api/cooperate/order/pyo',              // 付款单查询
    accounts: '/api/accountCheck/accounts',  // 对账单查询
    accountDetails: '/api/accountCheckDetail/accounts',    // 对账单明细查询
    accountRecps: '/api/recp/soa-source',  // 对账单生成的入库单查询
    compsRecps: '/api/recp/co-source',  // 索赔单生成的入库单查询
    invoices: '/api/inv/invs',  // 发票查询
    invApproval: '/api/inv/approval',  // 发票审批
    invFormAccount: '/api/inv/account',    // 汇总发票明细查询
    invoiceDetailAccounts: '/api/inv/invDetail/accounts', // 汇总发票对应的对账单明细
    invoiceItems: '/api/invItem/invs',    // 正式发票明细查询
    payable: '/api/payable/payables',     // 应付账款
  },
  plan: {
    requirementPlan: '/api/requirement-plan', // 需求计划
  },
  message: {
    annc: '/api/messages/annc',        // 企业公告
    notification: '/edp/sns/inbox', // 系统通知
    isValidRcpt: '/api/sns/isvalid-rcpt', // 是否可以查看其它人站内信
  },
  reports: {
    purchaseTotal: '/api/getdata', // 采购总量
    purchaseTotalFee: '/api/getdata', // 采购总金额
    priceCompare: '/api/getdata', // 价格同比
    deliver: '/api/getdata', // 送货准时率
    defective: '/api/getdata', // 产品缺陷率

    base: '/api/report', // 报表本目录
  },
  contract: {
    contracts: '/api/contract-mgmt/contracts',
    contractTmpls: '/api/contract-mgmt/contract-tmpls',
  },
  supp: {
    supps: '/api/supp/supps',
    qualifys: '/api/addr_qualify/qualifys',
    certType: '/api/supp/cert-type',
    download: '/api/supp/sfs/pack',

  },
  lifecycle: {
    performances: '/api/lifecycle/performances',
    supplierLifeStyle: '/api/supp/supps/performances',

  },
  tax: {
    taxCodes: '/api/tax_code/tax_codes'
  },
  excel: {
    importExcel: '/api/import/excel',
    exportExcel: '/api/export/csv',
    exportExcelURL: `/srm/api/export/csv`,
  },
  deploy: {
    suppAccount: '/api/deploy/supp/account', // 没有登录账号的供应商
    syncAccount: '/api/deploy/supp/sync-account', // 生成供应商用户账号
  },
};
