import format from 'date-fns/format';

const hostCfg = require('./host.cfg');
const apiCfg = require('./api.cfg');

export default {
  name: '九',
  prefix: 'ps',
  footerText: `© 2003-${format(new Date(), 'YYYY')} Elitesland.com All Rights Reserved ` + hostCfg.appVersion,
  loginLogo: '/static/assets/img/JMJ-logo.svg',
  loginBg: '/static/assets/img/login-bg.png',
  logo: '/static/assets/img/JMJ-logo.svg',
  logoBlack: '/static/assets/img/logoBlack.png',
  logoSmall: '/static/assets/img/logoSmall.jpg',
  iconFontCSS: '/static/assets/font/iconfont.css',
  iconFontJS: '/static/assets/font/iconfont.js',
  baseURL: process.env.NODE_ENV === 'development' ? hostCfg.devHost : hostCfg.prodHost,
  designerURL: process.env.NODE_ENV === 'development' ? hostCfg.designerURL : hostCfg.designerURL,
  CORS: [],
  openPages: ['/login', '/chart', '/600', '/forgetPW', '/register'],
  apiPrefix: '/api',
  api: apiCfg.default,
  ueditorUrl: '/static/assets/ueditor/ueditor.all.js',
  ueditorConfigUrl: '/static/assets/ueditor/ueditor.config.js',
};
